+++
title = "Using the Mixed Data Source in Grafana"
keywords = ["grafana", "dashboard", "documentation", "panels", "mixeddata"]
type = "docs"
[menu.docs]
name = "MixedData"
parent = "datasources"
weight = 20
+++

# Mixed Data Source

This Data Source allows you to specify data source on a per query basis.

## Usage

To use the Mixed Data Source, create a new panel or edit an existing panel and navigate to the Queries tab. From the Query popup, select "-- Mixed --". Click "Add Query" and select the desired source.

You cannot change an existing query to use the Mixed Data Source.
